## kdepim-addons 16.04.3

=== CMakeLists.txt ===
project(kdepim-addons)

cmake_minimum_required(VERSION 2.8.12)
find_package(ECM 5.19.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# Do NOT add quote
set(KDEPIMADDONS_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIMADDONS_DEV_VERSION)
  set(KDEPIMADDONS_DEV_VERSION " ${KDEPIMADDONS_DEV_VERSION}")
endif()

set(KDEPIMADDONS_VERSION_NUMBER "5.2.3")
set(KDEPIMADDONS_VERSION "${KDEPIMADDONS_VERSION_NUMBER}${KDEPIMADDONS_DEV_VERSION}")

set(KDEPIMADDONS_LIB_VERSION "${KDEPIMADDONS_VERSION_NUMBER}")
set(KDEPIMADDONS_LIB_SOVERSION "5")

set(AKONADINOTES_LIB_VERSION "5.2.0")
set(QT_REQUIRED_VERSION "5.5.0")
set(KF5_VERSION "5.19.0")
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

option(KDEPIMADDONS_BUILD_EXAMPLES "Build the kdepim-addons example applications." FALSE)

option(QTWEBENGINE_EXPERIMENTAL_OPTION "Enable support for qtwebengine. False by default." FALSE)

if (QTWEBENGINE_EXPERIMENTAL_OPTION)
    set(QT_REQUIRED_MINIMUM_WEBENGINE_VERSION "5.6")
    find_package(Qt5 ${QT_REQUIRED_MINIMUM_WEBENGINE_VERSION} CONFIG REQUIRED WebEngine WebEngineWidgets)
endif()


find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test)

find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KHtml ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)

set(MAILCOMMN_LIB_VERSION "5.2.0")
set(GRAVATAR_LIB_VERSION "5.2.0")
set(PIMCOMMON_LIB_VERSION "5.2.0")
set(KDGANTT2_LIB_VERSION "5.2.0")
set(GRANTLEETHEME_LIB_VERSION "5.2.0")
set(CALENDARSUPPORT_LIB_VERSION "5.2.0")
set(EVENTVIEW_LIB_VERSION "5.2.0")
set(KSIEVE_LIB_VERSION "5.2.0")
set(LIBKDEPIM_LIB_VERSION "5.2.0")
set(MAILIMPORTER_LIB_VERSION "5.2.0")
set(MESSAGELIB_LIB_VERSION "5.2.0")
set(KDEPIM_APPS_LIB_VERSION "5.2.0")
set(LIBKLEO_LIB_VERSION "5.2.0")
set(KDEPIMLIBS_LIB_VERSION "5.2.0")
set(GRAVATAR_LIB_VERSION "5.2.0")
set(INCIDENCEEDITOR_LIB_VERSION "5.2.0")
set(KTNEF_LIB_VERSION "5.2.0")
set(AKONADI_VERSION "5.2.0")

find_package(KF5MailCommon ${MAILCOMMN_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KaddressbookGrantlee ${KDEPIM_APPS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageViewer ${KDEPIM_APPS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IncidenceEditor ${INCIDENCEEDITOR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )

# Extra package
find_package(KF5GAPI "4.72.0" CONFIG)

if (KDEPIMADDONS_BUILD_EXAMPLES)
   add_subdirectory(examples)
endif()

add_subdirectory(plugins)
add_subdirectory(korganizer)
add_subdirectory(kmail)
add_subdirectory(kaddressbook)
add_subdirectory(akregator)

install( FILES kdepim-addons.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== plugins/CMakeLists.txt ===
add_subdirectory(customtoolsplugins)
add_subdirectory(messageviewerplugins)
add_subdirectory(messageviewerheaderplugins)
add_subdirectory(storageservices)
add_subdirectory(messageviewer)

if (QTWEBENGINE_EXPERIMENTAL_OPTION)
    add_subdirectory(messageviewerwebengineurlinterceptor)
endif()

=== kmail/editorplugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kmail_editor_plugins\")
add_subdirectory(insertspecialcharacter)
add_subdirectory(changecase)
add_subdirectory(zoomtext)

=== plugins/storageservices/CMakeLists.txt ===
add_subdirectory(boxplugin)
add_subdirectory(dropboxplugin) 
add_subdirectory(hubicplugin)  
add_subdirectory(webdavplugin)  
add_subdirectory(yousenditplugin)
if( KF5GAPI_FOUND )
    add_subdirectory(gdriveplugin)
endif()

=== kaddressbook/plugins/mergecontacts/CMakeLists.txt ===
set(kaddressbook_mergecontactsplugin_SRCS
    mergecontactsplugininterface.cpp
    mergecontactsplugin.cpp
)

add_library(kaddressbook_mergecontactsplugin MODULE ${kaddressbook_mergecontactsplugin_SRCS})

target_link_libraries(kaddressbook_mergecontactsplugin
  KF5::PimCommon KF5::Completion KF5::IconThemes KF5::MailCommon KF5::XmlGui kaddressbookmergelibprivate
)

install(TARGETS kaddressbook_mergecontactsplugin DESTINATION ${PLUGIN_INSTALL_DIR}/kaddressbook)

=== kmail/editorplugins/insertspecialcharacter/CMakeLists.txt ===
set(kmail_insertspecialcharactereditorplugin_SRCS
    insertspecialcharacterplugineditor.cpp
    insertspecialcharacterplugineditorinterface.cpp
)

add_library(kmail_insertspecialcharactereditorplugin MODULE ${kmail_insertspecialcharactereditorplugin_SRCS})

target_link_libraries(kmail_insertspecialcharactereditorplugin
  KF5::IconThemes KF5::MessageComposer KF5::XmlGui
)

install(TARGETS kmail_insertspecialcharactereditorplugin DESTINATION ${PLUGIN_INSTALL_DIR}/kmail)

if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

=== kmail/editorplugins/zoomtext/CMakeLists.txt ===
set(kmail_zoomtexteditorplugin_SRCS
    zoomtextplugineditor.cpp
    zoomtextplugineditorinterface.cpp
)

ecm_qt_declare_logging_category(kmail_zoomtexteditorplugin_SRCS HEADER zoomtexteditorplugin_debug.h IDENTIFIER KMAIL_EDITOR_ZOOMTEXT_PLUGIN_LOG CATEGORY_NAME log_kmail_zoomtexteditorplugin)

add_library(kmail_zoomtexteditorplugin MODULE ${kmail_zoomtexteditorplugin_SRCS})

target_link_libraries(kmail_zoomtexteditorplugin
  KF5::IconThemes KF5::MessageComposer KF5::XmlGui
)

install(TARGETS kmail_zoomtexteditorplugin DESTINATION ${PLUGIN_INSTALL_DIR}/kmail)

if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

=== kmail/plugins/antispamplugin/CMakeLists.txt ===
set(kmail_antispamplugin_SRCS
    antispamplugin.cpp
    antispamplugininterface.cpp
    ../common/antispamwizard.cpp
)

add_library(kmail_antispamplugin MODULE ${kmail_antispamplugin_SRCS})

target_link_libraries(kmail_antispamplugin
  KF5::PimCommon KF5::Completion KF5::IconThemes KF5::MailCommon KF5::XmlGui KF5::Libkdepim
)

install(TARGETS kmail_antispamplugin DESTINATION ${PLUGIN_INSTALL_DIR}/kmail)

if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

=== korganizer/plugins/hebrew/CMakeLists.txt ===

include_directories(
  ${CMAKE_SOURCE_DIR}/korganizer
)

########### next target ###############

set(korg_hebrew_PART_SRCS
  configdialog.cpp
  converter.cpp
  hebrew.cpp
  holiday.cpp
  parsha.cpp
)

ecm_qt_declare_logging_category(korg_hebrew_PART_SRCS HEADER korganizer_hebrew_debug.h IDENTIFIER KORGANIZER_HEBREWPLUGIN_LOG CATEGORY_NAME log_korganizer_hebrew_plugin)
add_library(korg_hebrew MODULE ${korg_hebrew_PART_SRCS})

target_link_libraries(korg_hebrew
  KF5::EventViews
)

install(TARGETS
  korg_hebrew
  DESTINATION ${KDE_INSTALL_PLUGINDIR}
)

########### install files ###############

install(FILES
  hebrew.desktop
  DESTINATION ${KDE_INSTALL_KSERVICES5DIR}/korganizer
)

=== plugins/customtoolsplugins/translatorplugin/CMakeLists.txt ===
set(pimcommon_translatorplugin_SRCS
   translatorplugin.cpp
   translatorview.cpp
)

add_library(pimcommon_translatorplugin MODULE ${pimcommon_translatorplugin_SRCS})

target_link_libraries(pimcommon_translatorplugin
  KF5::PimCommon
  KF5::PimTextEdit
  KF5::XmlGui
)

install(TARGETS pimcommon_translatorplugin DESTINATION ${PLUGIN_INSTALL_DIR}/pimcommon)

=== plugins/messageviewerheaderplugins/enterpriseheaderstyleplugin/CMakeLists.txt ===
set(messageviewer_enterpriseheaderstyleplugin_SRCS
   enterpriseheaderstyleplugin.cpp
   enterpriseheaderstyleinterface.cpp 
   enterpriseheaderstyle.cpp
)

add_library(messageviewer_enterpriseheaderstyleplugin MODULE ${messageviewer_enterpriseheaderstyleplugin_SRCS})

target_link_libraries(messageviewer_enterpriseheaderstyleplugin
  KF5::MessageViewer 
  KF5::GrantleeTheme
  KF5::XmlGui
)

install(TARGETS messageviewer_enterpriseheaderstyleplugin DESTINATION ${PLUGIN_INSTALL_DIR}/messageviewer)

=== plugins/messageviewerheaderplugins/standardsheaderstyleplugin/CMakeLists.txt ===
set(messageviewer_standardsheaderstyleplugin_SRCS
   standardsheaderstyleplugin.cpp
   standardsheaderstyleinterface.cpp
   standardheaderstrategy.cpp
)

add_library(messageviewer_standardsheaderstyleplugin MODULE ${messageviewer_standardsheaderstyleplugin_SRCS})

target_link_libraries(messageviewer_standardsheaderstyleplugin
  KF5::MessageViewer
  KF5::XmlGui
  KF5::GrantleeTheme
)

install(TARGETS messageviewer_standardsheaderstyleplugin DESTINATION ${PLUGIN_INSTALL_DIR}/messageviewer)

=== debian/changelog ===
kdepim-addons (16.04.3-1) unstable; urgency=high

  [ Automatic packaging ]
  * Refresh patches

  [ Pino Toscano ]
  * autopkgtest: switch from oxygen5-icon-theme back to the canonical
    oxygen-icon-theme.

  [ Maximiliano Curia ]
  * Add upstream patches: get-rid-of-not-needed-div.patch and Do-not-allow-html-mail-to-use-css-that-only-should-b.patch
    (Closes: 814762)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 02 Aug 2016 14:12:16 +0200

kdepim-addons (16.04.2-2) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 07 Jul 2016 15:36:25 +0200

kdepim-addons (16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Refresh patches

  [ Maximiliano Curia ]
  * Add new patch: set_icontheme.diff

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Jul 2016 16:56:09 +0200

kdepim-addons (16.04.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Initial release.
  * Add missing breaks/replaces
  * Add spambayes back (was in kdepim)
  * Add new upstream patch: upstream_add_copying_files.patch

  [ Automatic packaging ]
  * Refresh patches

 -- Maximiliano Curia <maxy@debian.org>  Mon, 06 Jun 2016 23:37:08 +0200

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libkf5akonadi-dev (>= 4:5.2.0~),
               libkf5akonadinotes-dev (>= 5.2.0~),
               libkf5calendarsupport-dev (>= 5.2.0~),
               libkf5config-dev (>= 5.19.0~),
               libkf5dbusaddons-dev (>= 5.19.0~),
               libkf5eventviews-dev (>= 5.2.0~),
               libkf5gapi-dev (>= 4.72.0~),
               libkf5grantleetheme-dev (>= 5.2.0~),
               libkf5gravatar-dev (>= 5.2.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5incidenceeditor-dev (>= 5.2.0~),
               libkf5kaddressbookgrantlee-dev (>= 5.2.0~),
               libkf5khtml-dev (>= 5.19.0~),
               libkf5libkdepim-dev (>= 5.2.0~),
               libkf5libkleo-dev (>= 5.2.0~),
               libkf5mailcommon-dev (>= 4:5.2.0~),
               libkf5messagecomposer-dev (>= 5.2.0~),
               libkf5messagecore-dev (>= 5.2.0~),
               libkf5messagelist-dev (>= 5.2.0~),
               libkf5messageviewer-dev (>= 5.2.0~),
               libkf5pimcommon-dev (>= 5.2.0~),
               libkf5tnef-dev (>= 5.2.0~),
               libkf5xmlgui-dev (>= 5.19.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 3.9.8
Homepage: https://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-addons.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-addons.git

Package: kdepim-addons
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kaddressbook (<= 4:16.04),
        kmail (<= 4:16.04),
        korganizer (<= 4:16.04),
        libkf5messageviewer5 (<= 4:16.04),
        libkf5pimcommon5 (<= 4:16.04)
Replaces: kaddressbook (<= 4:16.04),
          kmail (<= 4:16.04),
          korganizer (<= 4:16.04),
          libkf5messageviewer5 (<= 4:16.04),
          libkf5pimcommon5 (<= 4:16.04)
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, libgl1-mesa-dri, openbox, oxygen-icon-theme,
         akonadi-server, akonadi-backend-sqlite, libkf5akonadi-dev-bin,
         libkf5akonadisearch-bin, kinit, kded5, plasma-workspace
Restrictions: build-needed

# Tests: acc
# Depends: @,
#          dh-acc, exuberant-ctags
# Restrictions: allow-stderr

## kdepim-addons 17.04.3

=== debian/changelog ===
kdepim-addons (17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add new build depend on libkf5mailimporter-dev

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * Pick some qml dependencies from Neon
  * Update lintian overrides
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:33:32 +0100

kdepim-addons (16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * Remove upstream applied and defunct patches
  * New libqgpgme build dep
  * Build dep on libkf5kaddressbookimportexport-dev
  * Update lintian overrides for new sonames
  * New build dep on libkf5ksieve-dev
  * New upstream release (16.12.0)
  * Update QtWebEngine and QtWebChannel dependency dev package names to
    match debian packaging
  * New upstream release (16.12.1)
  * Increase build depend on libkgapi to version 5.3

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:28:15 +0100

kdepim-addons (16.04.3-1ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * Updating VCS to point to LaunchPad
  * Bumping some of the build deps

  [ Rik Mills ]
  * Build deps on libqt5webchannel-dev & libqt5webengine5-dev
  * Build deps on libkf5webengineviewer-dev, libkf5mimetreeparser-dev
    & libkf5declarative-dev
  * Lintian overrides for package-name-doesnt-match-sonames
  * Build dep on qtpositioning5-dev

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:33:22 +0200

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5akonadinotes-dev (>= 4:17.04.3~),
               libkf5calendarsupport-dev (>= 4:17.04.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5eventviews-dev (>= 4:17.04.3~),
               libkf5grantleetheme-dev (>= 17.04.3~),
               libkf5gravatar-dev (>= 4:17.04.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5incidenceeditor-dev (>= 17.04.3~),
               libkf5kaddressbookgrantlee-dev (>= 4:17.04.3~),
               libkf5kaddressbookimportexport-dev (>= 4:17.04.3~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5ksieve-dev (>= 4:17.04.3~),
               libkf5libkdepim-dev (>= 4:17.04.3~),
               libkf5libkleo-dev (>= 4:17.04.3~),
               libkf5mailcommon-dev (>= 4:17.04.3~),
               libkf5mailimporter-dev (>= 4:17.04.3~),
               libkf5messagecomposer-dev (>= 4:17.04.3~),
               libkf5messagecore-dev (>= 4:17.04.3~),
               libkf5messagelist-dev (>= 4:17.04.3~),
               libkf5messageviewer-dev (>= 4:17.04.3~),
               libkf5mimetreeparser-dev (>= 4:17.04.3~),
               libkf5pimcommon-dev (>= 4:17.04.3~),
               libkf5syntaxhighlighting-dev,
               libkf5tnef-dev (>= 4:17.04.3~),
               libkf5webengineviewer-dev (>= 4:17.04.3~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 17.04.3~),
               libqt5webchannel5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons

Package: kdepim-addons
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kaddressbook (<= 4:16.04),
        kmail (<= 4:16.08.2),
        korganizer (<= 4:16.04),
        libkf5messageviewer5 (<= 4:16.04),
        libkf5pimcommon5 (<= 4:16.04),
        ${kde-l10n:all}
Replaces: kaddressbook (<= 4:16.04),
          kmail (<= 4:16.08.2),
          korganizer (<= 4:16.04),
          libkf5messageviewer5 (<= 4:16.04),
          libkf5pimcommon5 (<= 4:16.04),
          ${kde-l10n:all}
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

## kdepim-addons 17.12.3

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.1)
set(PIM_VERSION "5.7.3")

project(kdepim-addons VERSION ${PIM_VERSION})
if (POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()

set(KF5_VERSION "5.39.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# Do NOT add quote
set(KDEPIMADDONS_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIMADDONS_DEV_VERSION)
    set(KDEPIMADDONS_DEV_VERSION " ${KDEPIMADDONS_DEV_VERSION}")
endif()


set(KDEPIMADDONS_VERSION_NUMBER ${PIM_VERSION})
set(KDEPIMADDONS_VERSION "${KDEPIMADDONS_VERSION_NUMBER}${KDEPIMADDONS_DEV_VERSION}")

set(KDEPIMADDONS_LIB_VERSION "${KDEPIMADDONS_VERSION_NUMBER}")
set(KDEPIMADDONS_LIB_SOVERSION "5")

set(AKONADINOTES_LIB_VERSION "5.7.3")
set(QT_REQUIRED_VERSION "5.8.0")
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)
include(ECMCoverageOption)


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

option(KDEPIMADDONS_BUILD_EXAMPLES "Build the kdepim-addons example applications." FALSE)

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED WebEngine WebEngineWidgets Widgets Test)

find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiNotes ${AKONADINOTES_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Declarative ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5SyntaxHighlighting ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Parts ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Prison ${KF5_VERSION} CONFIG REQUIRED)


set(MAILCOMMON_LIB_VERSION "5.7.3")
set(GRAVATAR_LIB_VERSION "5.7.3")
set(PIMCOMMON_LIB_VERSION "5.7.3")
set(GRANTLEETHEME_LIB_VERSION "5.7.3")
set(CALENDARSUPPORT_LIB_VERSION "5.7.3")
set(EVENTVIEW_LIB_VERSION "5.7.3")
set(LIBKDEPIM_LIB_VERSION "5.7.3")
set(KDEPIM_APPS_LIB_VERSION "5.7.3")
set(LIBKLEO_LIB_VERSION "5.7.3")
set(AKONADI_LIB_VERSION "5.7.3")
set(INCIDENCEEDITOR_LIB_VERSION "5.7.3")
set(KTNEF_LIB_VERSION "5.7.3")
set(MESSAGELIB_LIB_VERSION "5.7.3")
set(AKONADICALENDAR_LIB_VERSION "5.7.3")
set(CALENDAR_UTILS_VERSION "5.7.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.7.3")
set(KIMAP_LIB_VERSION "5.7.3")
set(LIBKSIEVE_LIB_VERSION_LIB "5.7.3")
set(KMAILTRANSPORT_LIB_VERSION "5.7.3")
set(AKONADICONTACT_LIB_VERSION "5.7.3")
set(IMPORTWIZARD_LIB_VERSION "5.7.3")
set(MAILIMPORTER_LIB_VERSION "5.7.3")


find_package(KF5CalendarUtils ${CALENDAR_UTILS_VERSION} CONFIG REQUIRED)
find_package(KF5WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KaddressbookGrantlee ${KDEPIM_APPS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5KaddressbookImportExport ${KDEPIM_APPS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IncidenceEditor ${INCIDENCEEDITOR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5EventViews ${EVENTVIEW_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${KIDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5LibKSieve ${LIBKSIEVE_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransportAkonadi ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPimImportWizard ${IMPORTWIZARD_LIB_VERSION} CONFIG)
find_package(KF5MailImporterAkonadi ${MAILIMPORTER_LIB_VERSION} CONFIG REQUIRED)
add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

# Extra package
find_package(Gpgmepp 1.8.0 CONFIG)
set_package_properties(Gpgmepp PROPERTIES DESCRIPTION "GpgME library" URL "http://www.gnupg.org" TYPE REQUIRED)
set( SharedMimeInfo_MINIMUM_VERSION "1.0" )
find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)

if (KDEPIMADDONS_BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

add_subdirectory(plugins)
add_subdirectory(korganizer)
add_subdirectory(kmail)
add_subdirectory(kaddressbook)
add_subdirectory(akregator)
add_subdirectory(sieveeditor)
add_subdirectory(kmailtransport)
if (KPimImportWizard_FOUND)
   add_subdirectory(akonadi-import-wizard)
endif()

install( FILES kdepim-addons.categories kdepim-addons.renamecategories DESTINATION ${KDE_INSTALL_CONFDIR} )
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== kmail/CMakeLists.txt ===
add_subdirectory(plugins)
add_subdirectory(editorplugins)
add_subdirectory(editorsendcheckplugins)
add_subdirectory(editorinitplugins)

=== sieveeditor/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"sieveeditor_plugins\")
add_subdirectory(imapfoldercompletion)
add_subdirectory(regexeditorlineedit)

=== akonadi-import-wizard/mailapp/CMakeLists.txt ===
set(mailappimporter_SRCS
   mailappimportdata.cpp  
)

kcoreaddons_add_plugin(mailappimporterplugin JSON mailappimporter.json SOURCES
    ${mailappimporter_SRCS} INSTALL_NAMESPACE importwizard)


target_link_libraries(mailappimporterplugin
  KPim::ImportWizard
  KF5::XmlGui
  KF5::I18n
  KF5::Contacts
  KF5::MailImporterAkonadi
  KF5::MailTransport
  KF5::IdentityManagement
  KF5::MailCommon
)

=== akonadi-import-wizard/opera/CMakeLists.txt ===
set(operaimporter_SRCS
   operaaddressbook.cpp  
   operaimportdata.cpp  
   operasettings.cpp
)

ecm_qt_declare_logging_category(operaimporter_SRCS HEADER operaplugin_debug.h IDENTIFIER OPERAPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.operaplugin)
kcoreaddons_add_plugin(operaimporterplugin JSON operaimporter.json SOURCES
    ${operaimporter_SRCS} INSTALL_NAMESPACE importwizard)


target_link_libraries(operaimporterplugin
  KPim::ImportWizard
  KF5::XmlGui
  KF5::I18n
  KF5::Contacts
  KF5::MailImporterAkonadi
  KF5::MailTransport
  KF5::MailCommon
  KF5::IdentityManagement
)

=== examples/apps/CMakeLists.txt ===


add_subdirectory(etm_usage)
add_subdirectory(mailreader)
add_subdirectory(coisceim)

=== kaddressbook/editorpages/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"cryptopageplugin\")

########### next target ###############
set(cryptopageplugin_SRCS cryptopageplugin.cpp )

add_library(cryptopageplugin MODULE ${cryptopageplugin_SRCS})
target_link_libraries(cryptopageplugin KF5::Contacts KF5::ContactEditor KF5::Libkleo KF5::IconThemes KF5::I18n KF5::Completion Gpgmepp)

install(TARGETS cryptopageplugin DESTINATION ${KDE_INSTALL_LIBDIR}/contacteditor/editorpageplugins/)

=== kmail/editorplugins/CMakeLists.txt ===
--- 
+++ 
@@ -2,3 +2,5 @@
 add_subdirectory(insertspecialcharacter)
 add_subdirectory(changecase)
 add_subdirectory(zoomtext)
+add_subdirectory(nonbreakingspace)
+add_subdirectory(autocorrection)

=== kmail/plugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kmail_plugins\")
add_subdirectory(antispamplugin)
add_subdirectory(antivirusplugin)
add_subdirectory(common/avscripts)
add_subdirectory(logactivitiesplugin)
#Laurent disable for the moment
#add_subdirectory(mailmergeplugin)
install(FILES common/kmail.antispamrc common/kmail.antivirusrc  DESTINATION ${KDE_INSTALL_CONFDIR})
install(FILES common/pics/kmwizard.png common/pics/kmwizard.svg DESTINATION ${KDE_INSTALL_DATADIR}/kmail2/pics)

=== kmailtransport/sendmail/CMakeLists.txt ===
set(mailtransport_sendplugin_SRCS
    sendmailtransportplugin.cpp
    sendmailjob.cpp
    sendmailconfigwidget.cpp
    sendmailconfigdialog.cpp
    )

ki18n_wrap_ui(mailtransport_sendplugin_SRCS
    sendmailsettings.ui
    )

kcoreaddons_add_plugin(mailtransport_sendplugin JSON sendmailtransport.json SOURCES
    ${mailtransport_sendplugin_SRCS} INSTALL_NAMESPACE mailtransport)

target_link_libraries(mailtransport_sendplugin
    KF5::MailTransport
    KF5::CoreAddons
    KF5::I18n
    KF5::ConfigWidgets
    KF5::KIOWidgets
    )

=== korganizer/plugins/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"korganizer_plugins\")
add_subdirectory(datenums)
#Comment it it depends against kdelibs4support
#add_subdirectory(hebrew)
add_subdirectory(picoftheday)
add_subdirectory(thisdayinhistory)

=== plugins/messageviewerheaderplugins/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"messageviewerheaderplugins\")
add_subdirectory(allheaderstyleplugin)
add_subdirectory(briefheaderstyleplugin)
add_subdirectory(enterpriseheaderstyleplugin)  
add_subdirectory(fancyheaderstyleplugin)  
add_subdirectory(grantleeheaderstyleplugin)  
add_subdirectory(longheaderstyleplugin)  
add_subdirectory(standardsheaderstyleplugin)
if(BUILD_TESTING)
  add_subdirectory(autotests)
  add_subdirectory(tests)
endif()

=== debian/changelog ===
kdepim-addons (17.12.3-0ubuntu2) bionic; urgency=high

  * Fix memory leak caused by certain calendar events (LP: #1765900).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 20 Apr 2018 23:52:33 -0500

kdepim-addons (17.12.3-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * New upstream release (17.12.3)

  [ José Manuel Santamaría Lema ]
  * Add missing Breaks/Replaces against libkf5contacteditor-data (<=
    4:17.12) (LP: #1753554)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:26:02 +0000

kdepim-addons (17.12.2-0ubuntu2) bionic; urgency=medium

  * Upstream tests have multiple failures on KDE CI. Skip the tests so
    we don't repeat the pain, and aim to fix with them.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 02 Mar 2018 08:51:28 +0000

kdepim-addons (17.12.2-0ubuntu1) bionic; urgency=medium

  * New build dep on libkf5prison-dev
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * Drop upstream applied cherry-picked test fixes patch
  * Simplify local install, following debian
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:44:28 +0000

kdepim-addons (17.08.3-0ubuntu4) bionic; urgency=medium

  * Skip flaky tests on unsupported non-x86

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 08:49:47 +0000

kdepim-addons (17.08.3-0ubuntu3) bionic; urgency=medium

  * Rebuild against new qtbase ABI 5.9.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 19:44:15 +0100

kdepim-addons (17.08.3-0ubuntu2) bionic; urgency=medium

  * Cherry-pick upstream commits to fix autopkgtests.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 05 Dec 2017 20:56:10 -0600

kdepim-addons (17.08.3-0ubuntu1) bionic; urgency=medium

  * New build dependency on akonadi-import-wizard
  * New build dependency on libkf5templateparser-dev
  * New build depend on libkf5contacteditor-dev
  * akonadi-import-wizard dev files now in libkpimimportwizard-dev, so
    switch build dep to this
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:04:45 +0000

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5akonadi-dev (>= 4:17.12.3~),
               libkf5akonadinotes-dev (>= 4:17.12.3~),
               libkf5calendarsupport-dev (>= 4:17.12.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:17.12.3~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5eventviews-dev (>= 4:17.12.3~),
               libkf5grantleetheme-dev (>= 17.12.3~),
               libkf5gravatar-dev (>= 4:17.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5incidenceeditor-dev (>= 17.12.3~),
               libkf5kaddressbookgrantlee-dev (>= 4:17.12.3~),
               libkf5kaddressbookimportexport-dev (>= 4:17.12.3~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5ksieve-dev (>= 4:17.12.3~),
               libkf5libkdepim-dev (>= 4:17.12.3~),
               libkf5libkleo-dev (>= 4:17.12.3~),
               libkf5mailcommon-dev (>= 4:17.12.3~),
               libkf5mailimporter-dev (>= 4:17.12.3~),
               libkf5messagecomposer-dev (>= 4:17.12.3~),
               libkf5messagecore-dev (>= 4:17.12.3~),
               libkf5messagelist-dev (>= 4:17.12.3~),
               libkf5messageviewer-dev (>= 4:17.12.3~),
               libkf5mimetreeparser-dev (>= 4:17.12.3~),
               libkf5pimcommon-dev (>= 4:17.12.3~),
               libkf5prison-dev (>= 5.39.0~),
               libkf5syntaxhighlighting-dev,
               libkf5templateparser-dev (>= 4:17.12.3~),
               libkf5tnef-dev (>= 4:17.12.3~),
               libkf5webengineviewer-dev (>= 4:17.12.3~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 17.12.3~),
               libkpimimportwizard-dev (>= 17.12.3~),
               libqt5webchannel5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons

Package: kdepim-addons
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kaddressbook (<= 4:16.04),
        kmail (<= 4:16.08.2),
        korganizer (<= 4:16.04),
        libkf5contacteditor-data (<= 4:17.12),
        libkf5messageviewer5 (<= 4:16.04),
        libkf5pimcommon5 (<= 4:16.04),
        ${kde-l10n:all}
Replaces: kaddressbook (<= 4:16.04),
          kmail (<= 4:16.08.2),
          korganizer (<= 4:16.04),
          libkf5contacteditor-data (<= 4:17.12),
          libkf5messageviewer5 (<= 4:16.04),
          libkf5pimcommon5 (<= 4:16.04),
          ${kde-l10n:all}
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
          xvfb, xauth, dbus-x11, libgl1-mesa-dri, openbox, oxygen-icon-theme,
          akonadi-server, akonadi-backend-sqlite, libkf5akonadi-dev-bin,
          libkf5akonadisearch-bin, kinit, kded5, plasma-workspace
-Restrictions: build-needed
 
 # Tests: acc
 # Depends: @,

## kdepim-addons 18.04.3

=== debian/changelog ===
kdepim-addons (18.04.3-0ubuntu1) cosmic; urgency=medium

  * Update lintian overrides
  * Build depend on poppler-qt
  * New build dep on libkf5holidays-dev
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * Drop upstream applied fix-memory-leak-with-calendar-events.patch
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:30 +0100

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libkf5akonadi-dev (>= 4:18.04.3~),
               libkf5akonadinotes-dev (>= 4:18.04.3~),
               libkf5calendarsupport-dev (>= 4:18.04.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:18.04.3~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5eventviews-dev (>= 4:18.04.3~),
               libkf5grantleetheme-dev (>= 18.04.3~),
               libkf5gravatar-dev (>= 4:18.04.3~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.31.0~),
               libkf5incidenceeditor-dev (>= 18.04.3~),
               libkf5kaddressbookgrantlee-dev (>= 4:18.04.3~),
               libkf5kaddressbookimportexport-dev (>= 4:18.04.3~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5ksieve-dev (>= 4:18.04.3~),
               libkf5libkdepim-dev (>= 4:18.04.3~),
               libkf5libkleo-dev (>= 4:18.04.3~),
               libkf5mailcommon-dev (>= 4:18.04.3~),
               libkf5mailimporter-dev (>= 4:18.04.3~),
               libkf5messagecomposer-dev (>= 4:18.04.3~),
               libkf5messagecore-dev (>= 4:18.04.3~),
               libkf5messagelist-dev (>= 4:18.04.3~),
               libkf5messageviewer-dev (>= 4:18.04.3~),
               libkf5mimetreeparser-dev (>= 4:18.04.3~),
               libkf5pimcommon-dev (>= 4:18.04.3~),
               libkf5prison-dev (>= 5.39.0~),
               libkf5syntaxhighlighting-dev,
               libkf5templateparser-dev (>= 4:18.04.3~),
               libkf5tnef-dev (>= 4:18.04.3~),
               libkf5webengineviewer-dev (>= 4:18.04.3~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkpimgapi-dev (>= 18.04.3~),
               libkpimimportwizard-dev (>= 4:18.04.3~),
               libpoppler-qt5-dev,
               libqt5webchannel5-dev (>= 5.6.1~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: https://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons

Package: kdepim-addons
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kaddressbook (<= 4:16.04),
        kmail (<= 4:16.08.2),
        korganizer (<= 4:16.04),
        libkf5contacteditor-data (<= 4:17.12),
        libkf5messageviewer5 (<= 4:16.04),
        libkf5pimcommon5 (<= 4:16.04),
        ${kde-l10n:all}
Replaces: kaddressbook (<= 4:16.04),
          kmail (<= 4:16.08.2),
          korganizer (<= 4:16.04),
          libkf5contacteditor-data (<= 4:17.12),
          libkf5messageviewer5 (<= 4:16.04),
          libkf5pimcommon5 (<= 4:16.04),
          ${kde-l10n:all}
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.
